# Created by pyp2rpm-3.3.7
%global pypi_name sonics
%global pypi_version 0.3.0

Name:           python-%{pypi_name}
Version:        %{pypi_version}
Release:        1%{?dist}
Summary:        SONiCS - Stutter mONte Carlo Simulation.
License:        LICENCE
URL:            git@github.com:kzkedzierska/sonics.git
Source0:        %{pypi_name}-%{pypi_version}.tar.gz
Patch0:         %{pypi_name}-setup-ver_0.3.0.patch

BuildRequires:  gcc gcc-gfortran
BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3-Cython
BuildRequires:  python3-pandas
BuildRequires:  python3-scipy
BuildRequires:  python3-numpy
BuildRequires:  python3-numpy-f2py

%description
SONiCS performs dense forward simulations of the PCR of Short Tandem Repeats from capture experiments,
calculates the likelihood of generating the provided read support (reads per allele) out of the final
PCR pool and determines the most probable genotype based on the log likelihood distributions from all
such simulations.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}
Requires:  python3-Cython
Requires:  python3-pandas
Requires:  python3-scipy
Requires:  python3-numpy
Requires:  python3-numpy-f2py


%description -n python3-%{pypi_name}
SONiCS performs dense forward simulations of the PCR of Short Tandem Repeats from capture experiments,
calculates the likelihood of generating the provided read support (reads per allele) out of the final
PCR pool and determines the most probable genotype based on the log likelihood distributions from all
such simulations.

%prep
%autosetup -n %{pypi_name}-%{pypi_version}

%build
f2py3 -c -m pymc_extracted pymc_extracted.f
%py3_build build_ext

%install
%py3_install

%if 0%{?rhel} && 0%{?rhel} == 8
install -p -m 0644 pymc_extracted.cpython-36m-x86_64-linux-gnu.so -t %{buildroot}/%{python3_sitearch}/
%endif

%if 0%{?rhel} && 0%{?rhel} == 9
install -p -m 0644 pymc_extracted.cpython-39-x86_64-linux-gnu.so -t %{buildroot}/%{python3_sitearch}/
%endif

install -p -D -m 0755 sonics -t %{buildroot}%{_bindir}/

%files -n python3-%{pypi_name}
%license LICENSE
%doc README.md VERSION
%{_bindir}/sonics
%if 0%{?rhel} && 0%{?rhel} == 8
%{python3_sitearch}/sonics.cpython-36m-x86_64-linux-gnu.so
%{python3_sitearch}/pymc_extracted.cpython-36m-x86_64-linux-gnu.so
%endif
%if 0%{?rhel} && 0%{?rhel} == 9
%{python3_sitearch}/sonics.cpython-39-x86_64-linux-gnu.so
%{python3_sitearch}/pymc_extracted.cpython-39-x86_64-linux-gnu.so
%endif
%{python3_sitearch}/%{pypi_name}-%{pypi_version}-py%{python3_version}.egg-info

%changelog
* Mon Feb 27 2023 Aram Minasyan <aram_dot_minasyan_at_yahoo_dot_com> - 0.3.0-1
- Initial package.